package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 录取考生信息
* @author: yfz
* @date: 2020-04-02 13:30:23
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "std_admission", keyColumn =  "ID", sequenceName = "")
public class StdAdmission  implements Serializable{
	private static final long serialVersionUID = -3103104449521709454L;

	private Integer id; //主键
	private Integer no; //序号
	private String  notification_number ; //通知书编号
	private String  region; //地区
	private String  examinee_number; //考生号
	private String    stu_name;    //姓名
	private String    nation;    //民族
	private String    sex;    //性别
	private String    card_no;    //身份证号
	private String    department;    //系(院)
	private String    major;    //专业
	private String    filing_unit;    //投档单位名称
	private String    political;    //政治面貌
	private String    address;    //考生家庭地址
	private String    consignee;    //收件人
	private String    stu_Telephone;    //考生联系电话
	private String    postal_code;    //邮政编码
	private String    stu_category ;    //考生类别
	private String    graduate_middle_school;    //毕业中学
	private String    graduation_type;    //毕业类别
	private String    ticket_number;    //准考证号
	private String    stu_area_residece ;    //考生户口所在地区
	private String    date_of_birth ;    //出生年月
	private String    foreign_language;    //外语语种
	private String    stu_features;    //考生特征
	private String    stu_speciality;    //考生特长
	private String    stu_reward_punishment ;    //考生奖励或处分
	private String    foreign_language_oral_test ;    //外语口试
	private String    political_opinions ;    //政审意见
	private String    examination_type;    //考试类型
	private String    batch ;    // 批次
	private String    families ;    //科类
	private String    planning_nature ;    //计划性质
    private double    stu_score ;    // 考生成绩
	private double     characteristic_score;    //特征成绩
	private double   filing_score ;    //投档成绩
	private double   care_score ;    //照顾分
	private double   college_introduction_score;  //院校导入成绩
	private double   benchmark_score ;//专业投档基准成绩
	private double   additional_score;//专业投档附加成绩
	private String    volunteering ;//投档志愿
	private String    educational_system ;//学制
	private String    qualification ;// 专业合格
	private String    physical_examination; //体检合格
	
	private String isReported;//是否报道： 1.是；2.否，3.保留学籍
	private String campus;//校区，主校区、西校区
	
	private String families_type;//科类性质 文史类    【文史类、理工类、综合类、3+2转段、技能高考、单独招生】

	
	//学校编号
	private Integer school_id;
		
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getNo() {
		return no;
	}
	public void setNo(Integer no) {
		this.no = no;
	}
	public String getNotification_number() {
		return notification_number;
	}
	public void setNotification_number(String notification_number) {
		this.notification_number = notification_number;
	}
	public String getRegion() {
		return region;
	}
	public void setRegion(String region) {
		this.region = region;
	}
	public String getExaminee_number() {
		return examinee_number;
	}
	public void setExaminee_number(String examinee_number) {
		this.examinee_number = examinee_number;
	}
	public String getStu_name() {
		return stu_name;
	}
	public void setStu_name(String stu_name) {
		this.stu_name = stu_name;
	}
	public String getNation() {
		return nation;
	}
	public void setNation(String nation) {
		this.nation = nation;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public String getCard_no() {
		return card_no;
	}
	public void setCard_no(String card_no) {
		this.card_no = card_no;
	}
	public String getDepartment() {
		return department;
	}
	public void setDepartment(String department) {
		this.department = department;
	}
	public String getMajor() {
		return major;
	}
	public void setMajor(String major) {
		this.major = major;
	}
	public String getFiling_unit() {
		return filing_unit;
	}
	public void setFiling_unit(String filing_unit) {
		this.filing_unit = filing_unit;
	}
	public String getPolitical() {
		return political;
	}
	public void setPolitical(String political) {
		this.political = political;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getConsignee() {
		return consignee;
	}
	public void setConsignee(String consignee) {
		this.consignee = consignee;
	}
	public String getStu_Telephone() {
		return stu_Telephone;
	}
	public void setStu_Telephone(String stu_Telephone) {
		this.stu_Telephone = stu_Telephone;
	}
	public String getPostal_code() {
		return postal_code;
	}
	public void setPostal_code(String postal_code) {
		this.postal_code = postal_code;
	}
	public String getStu_category() {
		return stu_category;
	}
	public void setStu_category(String stu_category) {
		this.stu_category = stu_category;
	}
	public String getGraduate_middle_school() {
		return graduate_middle_school;
	}
	public void setGraduate_middle_school(String graduate_middle_school) {
		this.graduate_middle_school = graduate_middle_school;
	}
	public String getGraduation_type() {
		return graduation_type;
	}
	public void setGraduation_type(String graduation_type) {
		this.graduation_type = graduation_type;
	}
	public String getTicket_number() {
		return ticket_number;
	}
	public void setTicket_number(String ticket_number) {
		this.ticket_number = ticket_number;
	}
	public String getStu_area_residece() {
		return stu_area_residece;
	}
	public void setStu_area_residece(String stu_area_residece) {
		this.stu_area_residece = stu_area_residece;
	}
	public String getDate_of_birth() {
		return date_of_birth;
	}
	public void setDate_of_birth(String date_of_birth) {
		this.date_of_birth = date_of_birth;
	}
	public String getForeign_language() {
		return foreign_language;
	}
	public void setForeign_language(String foreign_language) {
		this.foreign_language = foreign_language;
	}
	public String getStu_features() {
		return stu_features;
	}
	public void setStu_features(String stu_features) {
		this.stu_features = stu_features;
	}
	public String getStu_speciality() {
		return stu_speciality;
	}
	public void setStu_speciality(String stu_speciality) {
		this.stu_speciality = stu_speciality;
	}
	public String getStu_reward_punishment() {
		return stu_reward_punishment;
	}
	public void setStu_reward_punishment(String stu_reward_punishment) {
		this.stu_reward_punishment = stu_reward_punishment;
	}
	public String getForeign_language_oral_test() {
		return foreign_language_oral_test;
	}
	public void setForeign_language_oral_test(String foreign_language_oral_test) {
		this.foreign_language_oral_test = foreign_language_oral_test;
	}
	public String getPolitical_opinions() {
		return political_opinions;
	}
	public void setPolitical_opinions(String political_opinions) {
		this.political_opinions = political_opinions;
	}
	public String getExamination_type() {
		return examination_type;
	}
	public void setExamination_type(String examination_type) {
		this.examination_type = examination_type;
	}
	public String getBatch() {
		return batch;
	}
	public void setBatch(String batch) {
		this.batch = batch;
	}
	public String getFamilies() {
		return families;
	}
	public void setFamilies(String families) {
		this.families = families;
	}
	public String getPlanning_nature() {
		return planning_nature;
	}
	public void setPlanning_nature(String planning_nature) {
		this.planning_nature = planning_nature;
	}
	public double getStu_score() {
		return stu_score;
	}
	public void setStu_score(double stu_score) {
		this.stu_score = stu_score;
	}
	public double getCharacteristic_score() {
		return characteristic_score;
	}
	public void setCharacteristic_score(double characteristic_score) {
		this.characteristic_score = characteristic_score;
	}
	public double getFiling_score() {
		return filing_score;
	}
	public void setFiling_score(double filing_score) {
		this.filing_score = filing_score;
	}
	public double getCare_score() {
		return care_score;
	}
	public void setCare_score(double care_score) {
		this.care_score = care_score;
	}
	public double getCollege_introduction_score() {
		return college_introduction_score;
	}
	public void setCollege_introduction_score(double college_introduction_score) {
		this.college_introduction_score = college_introduction_score;
	}
	public double getBenchmark_score() {
		return benchmark_score;
	}
	public void setBenchmark_score(double benchmark_score) {
		this.benchmark_score = benchmark_score;
	}
	public double getAdditional_score() {
		return additional_score;
	}
	public void setAdditional_score(double additional_score) {
		this.additional_score = additional_score;
	}
	public String getVolunteering() {
		return volunteering;
	}
	public void setVolunteering(String volunteering) {
		this.volunteering = volunteering;
	}
	public String getEducational_system() {
		return educational_system;
	}
	public void setEducational_system(String educational_system) {
		this.educational_system = educational_system;
	}
	public String getQualification() {
		return qualification;
	}
	public void setQualification(String qualification) {
		this.qualification = qualification;
	}
	public String getPhysical_examination() {
		return physical_examination;
	}
	public void setPhysical_examination(String physical_examination) {
		this.physical_examination = physical_examination;
	}
	public Integer getSchool_id() {
		return school_id;
	}
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}
	public String getIsReported() {
		return isReported;
	}
	public void setIsReported(String isReported) {
		this.isReported = isReported;
	}
	public String getCampus() {
		return campus;
	}
	public void setCampus(String campus) {
		this.campus = campus;
	}
	public String getFamilies_type() {
		return families_type;
	}
	public void setFamilies_type(String families_type) {
		this.families_type = families_type;
	}

	
}
